BUS_GENERIC_ATTACH(9)

NAME
bus_generic_attach - generic implementation of DEVICE_ATTACH for busses

SYNOPSIS
#include <sys/param.h>
#include <sys/bus.h>
int
bus_generic_attach(device_t dev);

DESCRIPTION
This function provides an implementation of the DEVICE_ATTACH(9) method which can be used by most bus code. It simply calls device_probe_and_attach(9) for each child device attached to the bus.

RETURN VALUES
Zero is returned on success, otherwise an appropriate error is returned.

SEE ALSO
device(9), driver(9)

AUTHORS
This manual page was written by Doug Rabson.